## org.eclipse.datatools.modelbase.sql.routines
Interface UserDefinedFunction

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, Function, org.eclipse.emf.common.notify.Notifier, Routine, SQLObject

All Known Subinterfaces:
  SybaseASABaseFunction

All Known Implementing Classes:
  JDBCUserDefinedFunction, SybaseASABaseFunctionImpl, SybaseASACatalogBaseUserDefinedFunction, SybaseASECatalogUserDefinedFunction, org.eclipse.datatools.modelbase.sql.routines.impl.UserDefinedFunctionImpl

    public interface UserDefinedFunction

extends Function

A representation of the model object 'User Defined Function'. Reference: 5WD-02-Foundation-2002-12 4.27 SQL-invoked routines

See Also:
  `SQLRoutinesPackage.getUserDefinedFunction()`

Method Summary

Methods inherited from interface org.eclipse.datatools.modelbase.sql.routines.Function
`getReturnCast, getReturnScalar, getReturnTable, getTransformGroup, isMutator, isNullCall, isStatic, isTypePreserving, setMutator, setNullCall, setReturnCast, setReturnScalar, setReturnTable, setStatic, setTransformGroup, setTypePreserving`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.routines.Routine

`getAuthorizationID, getCreationTS, getExternalName, getInputParameters, getLanguage, getLastAlteredTS, getOutputParameters, getParameters, getParameterStyle, getSchema, getSecurity, getSource, getSpecificName, getSqlDataAccess, isDeterministic, setAuthorizationID, setCreationTS, setDeterministic, setExternalName, setLanguage, setLastAlteredTS, setParameterStyle, setSchema, setSecurity, setSource, setSpecificName, setSqlDataAccess`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`